Subject: mgetty+sendfax 0.20 is out
From: [email-masked] (Gert Doering)
Date: Mon, 25 Apr 1994 16:28:26 GMT
Newsgroups: comp.os.linux.announce

Hi,

here is the long awaited release of mgetty+sendfax 0.20

I hope it is less buggy than the last official releases, 0.18 and 0.16...

What is it?

mgetty+sendfax is a mixture between nice toy and useful tool... with it,
you can utilize every trick that your Class 2 faxmodem can do on your unix
workstation (unix: SVR3+4, SCO, Linux, Net/FreeBSD, SunOS, ...):

- full modem control: you know always the state your modem is in, if the
  host is unavailable, the modem won't answer the phone.

- reception of fax and data calls, allowing both fax calls and normal
  "unix logins" on the same phone line

  (if the modem cannot do faxing, answering is reduced to data calls,
  but besides the fax stuff, everything else works as well)

- more-or-less complete (though small) fax spooling, queue handling, fax
  sending subsystem

- outgoing data or fax calls can share the line with incoming calls

- support for incoming FidoNet[tm] calls (in conjunction with Eugene
  Crosser's ifcico program)

- auto-processing of incoming fax pages (e.g. print, mail, display...)

- fax polling, fax poll server (if the modem supports it)

- better logging / auditing than all other getty programs

- caller ID support (only answer the phone for a limited caller group)

and, if your modem supports voice operations with the ZyXEL voice command
set (AT+V...):

- full-featured answering machine, with remote playback and other nifty
  features

- fax-back services based on top of vgetty / sendfax are possibly (easy
  shell script programming)

... and so on...

For those of you that know mgetty+sendfax already, here's what is new in
0.20:

* better FIDO support

* handle UPPERCASE logins

* more extensive error checking in sendfax (timeout for write()s)

* more flexible login dispatcher (login.config), with utmp entries

* lots of small bugfixes + cleanups

* logging improved

* write parallel dialouts to wtmp (-> last shows "dialout")

* completely rewritten ``faxspool'': better format recognition, complete
  option handling (return mail address, user name, authentification...)

* escape "\U, \D, ..." tokens in /etc/issue

* (limited) SVR4.2 support

* sample ``new_fax'' programs

* better option / error handling in pbmtog3/g3cat/g3topbm tools

* pbmtog3 tool added

* g3topbm "-stretch" for lo-res faxes

* locking of jobs when sending faxes, multiple faxrunq's running
  simultaneously is possible now

* ported to FreeBSD, NetBSD

* distinctive RING support (vgetty)

So... curious? Ok, that's where you can find it (well, on sunsite and
tsx-11, I've uploaded it to .../incoming, and it should move to the new
locations quite soon):

alt.sources

ftp.informatik.tu-muenchen.de:/tmp/mgetty020.tar.gz

ftp.informatik.tu-muenchen.de:/pub/comp/usenet/alt.soures/mgetty+sendfax/

sunsite.unc.edu:/pub/Linux/system/Serial/mgetty+sendfax-0.20.tar.gz

tsx-11.mit.edu:/pub/linux/sources/sbin/mgetty+sendfax-0.20.tar.gz

In the package is a 50-odd page documentation in GNU TeXinfo format, for
those that cannot handle it, I've created another package, ...-doc.tar.gz,
that contains all the documentation in postscript, dvi, nroff.

gert
-- 
I've got a signature breakdown! Anybody got a spare one?

Gert Doering - Munich, Germany                             [email-masked]

--
Mail submissions for comp.os.linux.announce to: [email-masked]
Be sure to include Keywords: and a short description of your software.